PDF::Builder::Resource::XObject::Form::BarCode(3)

NAME
PDF::Builder::Resource::XObject::Form::BarCode - Base class for one-dimensional barcodes

Inherits from PDF::Builder::Resource::XObject::Form::Hybrid

METHODS

  new
    $barcode = PDF::Builder::Resource::XObject::Form::BarCode->new($pdf, %options)

    Creates a barcode form resource.

  width
    $width = $barcode->width()

    Returns the width of the bar code.

  height
    $height = $barcode->height()

    Returns the height of the bar code.